Bug 204703 - comms/conserver-com: Add IPMI support, Fix MAN
Summary: comms/conserver-com: Add IPMI support, Fix MAN
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: freebsd-ports-bugs mailing list
URL:
Keywords: easy, patch
Depends on:
Blocks:
 
Reported: 2015-11-20 15:27 UTC by m1cro
Modified: 2016-11-10 01:49 UTC (History)
1 user (show)

See Also:
bugzilla: maintainer-feedback? (kuriyama)


Attachments
patch (1.36 KB, patch)
2015-11-20 15:27 UTC, m1cro
no flags Details | Diff
fix (C|LD)FLAGS for freeipmi support (4.48 KB, patch)
2016-07-08 13:00 UTC, m1cro
rum1cro: maintainer-approval+
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description m1cro 2015-11-20 15:27:52 UTC
Created attachment 163354 [details]
patch

Patch for comms/conserver-com:
- added FreeIPMI option
- little fix typo in the man page
Comment 1 m1cro 2016-07-05 11:38:48 UTC
Any updates?
Comment 2 Mathieu Arnold freebsd_committer 2016-07-06 11:22:20 UTC
maintainer timeout.
Comment 3 Kubilay Kocak freebsd_committer freebsd_triage 2016-07-06 11:52:56 UTC
CFLAGS/LDFLAGS can be used on their own, without being appended to CONFIGURE_ARGS, which I believe will be added to CONFIGURE_ENV
Comment 4 m1cro 2016-07-08 13:00:33 UTC
Created attachment 172239 [details]
fix (C|LD)FLAGS for freeipmi support

fix (C|LD)FLAGS for freeipmi support
fix UTC(portlint warnings)
Comment 5 m1cro 2016-09-21 17:20:47 UTC
Up
Comment 6 m1cro 2016-09-23 09:49:16 UTC
Comment on attachment 172239 [details]
fix (C|LD)FLAGS for freeipmi support

Maintainer timeout, implicit approval
Comment 7 m1cro 2016-09-23 09:50:26 UTC
Comment on attachment 163354 [details]
patch

>diff --git a/comms/conserver-com/Makefile b/comms/conserver-com/Makefile
>index 047c64ae..0f5cdc0 100644
>--- a/comms/conserver-com/Makefile
>+++ b/comms/conserver-com/Makefile
>@@ -15,14 +15,17 @@ CONFLICTS_INSTALL=	conserver-[0-9]*
> 
> GNU_CONFIGURE=	yes
> CONFIGURE_ARGS=	--with-master=${DEFAULTHOST} --with-port=${DEFAULTPORT} \
>-		--with-pam --with-libwrap --with-openssl
>+		--with-pam --with-libwrap --with-openssl \
>+		CFLAGS="-I${LOCALBASE}/include" \
>+		LDFLAGS="-L${LOCALBASE}/lib"
> USE_OPENSSL=	yes
> USE_RC_SUBR=	conserver
> 
>-OPTIONS_DEFINE=	UDS GSSAPI GSSAPIONLY STRIPREALM
>+OPTIONS_DEFINE=	UDS GSSAPI GSSAPIONLY STRIPREALM FREEIPMI
> UDS_DESC=	Use Unix domain sockets for client/server
> STRIPREALM_DESC=Strip @REALM when using GSSAPI
> GSSAPIONLY_DESC=Never prompt for a password when using GSSAPI
>+FREEIPMI_DESC=	Compile in FreeIPMI support
> STRIPREALM_IMPLIES=	GSSAPI
> GSSAPIONLY_IMPLIES=	GSSAPI
> 
>@@ -32,8 +35,14 @@ DEFAULTHOST?=	localhost
> UDS_CONFIGURE_WITH=	uds
> GSSAPI_CONFIGURE_WITH=	gssapi
> STRIPREALM_CONFIGURE_WITH=	striprealm
>+FREEIPMI_CONFIGURE_WITH=	freeipmi
> GSSAPIONLY_EXTRA_PATCHES=		${FILESDIR}/extra-patch-conserver__master.c
> 
>+FREEIPMI_LIB_DEPENDS=	libfreeipmi.so:${PORTSDIR}/sysutils/freeipmi
>+
>+post-patch:
>+	@${REINPLACE_CMD} -e 's,impi,ipmi,' ${WRKSRC}/conserver.cf/conserver.cf.man
>+
> post-install:
> 	@${STRIP_CMD} ${STAGEDIR}${PREFIX}/sbin/conserver-convert
>
Comment 8 m1cro 2016-09-23 10:52:47 UTC
Comment on attachment 172239 [details]
fix (C|LD)FLAGS for freeipmi support

portlint: OK (looks fine.)
testport: OK (11amd64, With all options tested)
Comment 9 commit-hook freebsd_committer 2016-11-10 01:48:24 UTC
A commit references this bug:

Author: swills
Date: Thu Nov 10 01:47:35 UTC 2016
New revision: 425825
URL: https://svnweb.freebsd.org/changeset/ports/425825

Log:
  comms/conserver-com: Add IPMI support, Fix MAN

  PR:		204703
  Submitted by:	m1cro <rum1cro@yandex.ru>
  Approved by:	maintainer timeout (kuriyama, 2 months)

Changes:
  head/comms/conserver-com/Makefile
Comment 10 Steve Wills freebsd_committer 2016-11-10 01:49:50 UTC
Committed